Index: in-auction/admin_templates/categories/categories_edit_ebay.tpl
===================================================================
--- in-auction/admin_templates/categories/categories_edit_ebay.tpl	(revision 15607)
+++ in-auction/admin_templates/categories/categories_edit_ebay.tpl	(working copy)
@@ -123,11 +123,11 @@
 		<inp2:m_RenderElement name="subsection" title="la_section_PaymentReturnPolicy"/>
 			<inp2:m_RenderElement name="inp_edit_box" prefix="c-ebay" field="PayPalSellerEmail" title="la_fld_PayPalSellerEmail" size="70"/>
 			<inp2:m_RenderElement name="inp_edit_multioptions" prefix="c-ebay" field="PaymentMethod" title="la_fld_PaymentMethod" />
-			<inp2:m_RenderElement name="inp_edit_textarea" prefix="c-ebay" field="PaymentInstructions" title="la_fld_PaymentInstructions" cols="40" rows="5"/>
+			<inp2:m_RenderElement name="inp_edit_textarea" prefix="c-ebay" field="PaymentInstructions" title="la_fld_PaymentInstructions" allow_html="1" cols="40" rows="5"/>
 			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="c-ebay" field="HasReturnPolicy" title="la_fld_HasReturnPolicy"/>
 			<inp2:m_RenderElement name="inp_edit_options" prefix="c-ebay" field="RefundType" title="la_fld_RefundType"/>
 			<inp2:m_RenderElement name="inp_edit_options" prefix="c-ebay" field="ReturnRequestDays" title="la_fld_ReturnRequestDays"/>
-			<inp2:m_RenderElement name="inp_edit_textarea" prefix="c-ebay" field="ReturnPolicyDetails" title="la_fld_ReturnPolicyDetails" cols="40" rows="5"/>
+			<inp2:m_RenderElement name="inp_edit_textarea" prefix="c-ebay" field="ReturnPolicyDetails" title="la_fld_ReturnPolicyDetails" allow_html="1" cols="40" rows="5"/>
 
 
 		<inp2:m_RenderElement name="subsection" title="la_section_Insurance"/>
Index: in-auction/admin_templates/detail_template/detail_template_edit.tpl
===================================================================
--- in-auction/admin_templates/detail_template/detail_template_edit.tpl	(revision 15607)
+++ in-auction/admin_templates/detail_template/detail_template_edit.tpl	(working copy)
@@ -60,7 +60,7 @@
 	<table class="edit-form">
 		<inp2:m_RenderElement name="inp_id_label" prefix="dt" field="DetailTemplateId" title="la_fld_Id"/>
 		<inp2:m_RenderElement name="inp_edit_box" prefix="dt" field="TemplateName" title="la_fld_Name" size="80"/>
-		<inp2:m_RenderElement name="inp_edit_textarea" prefix="dt" field="TemplateBody" title="la_fld_TemplateBody" cols="80" rows="50"/>
+		<inp2:m_RenderElement name="inp_edit_textarea" prefix="dt" field="TemplateBody" title="la_fld_TemplateBody" allow_html="1" cols="80" rows="50"/>
 		<inp2:m_RenderElement name="inp_edit_filler"/>
 	</table>
 </div>
Index: in-auction/admin_templates/inc/form_blocks_parent.tpl
===================================================================
--- in-auction/admin_templates/inc/form_blocks_parent.tpl	(revision 15607)
+++ in-auction/admin_templates/inc/form_blocks_parent.tpl	(working copy)
@@ -234,12 +234,13 @@
 	</inp2:m_if>
 </inp2:m_DefineElement>
 
-<inp2:m_DefineElement name="inp_edit_textarea" class="" allow_html="allow_html" hint_label="">
+<inp2:m_DefineElement name="inp_edit_textarea" class="" allow_html="" hint_label="">
 	<tr class="<inp2:m_odd_even odd='edit-form-odd' even='edit-form-even'/>">
 		<td class="label-cell" onmouseover="show_form_error('<inp2:m_Param name='prefix' js_escape='1'/>', '<inp2:m_Param name='field' js_escape='1'/>')" onmouseout="hide_form_error('<inp2:m_Param name='prefix' js_escape='1'/>')" valign="top">
 			<span class="<inp2:m_if check='{$prefix}_HasError' field='$field'>error-cell</inp2:m_if>"><inp2:m_phrase label="$title"/></span></span><inp2:m_if check="{$prefix}_IsRequired" field="$field"><span class="field-required">&nbsp;*</span></inp2:m_if>:<inp2:m_if check="m_Param" name="hint_label"><span>&nbsp;<img src="<inp2:m_TemplatesBase/>/img/hint_icon.png" width="12" height="13" title="<inp2:m_Phrase label='$hint_label' html_escape='1'/>" alt="<inp2:m_Phrase label='$hint_label' html_escape='1'/>"/></inp2:m_if>
-			<br>
-			<inp2:m_if check="m_ParamEquals" name="allow_html" value="allow_html">
+
+			<inp2:m_if check="m_Param" name="allow_html">
+				<br>
 				<inp2:{$prefix}_InputName field="$field" result_to_var="input_name"/>
 				<a href="<inp2:m_Link template='$edit_template' TargetField='$input_name' pass_through='TargetField' pass='m,$prefix'/>" onclick="openSelector('<inp2:m_Param name='prefix' js_escape='1'/>', this.href, '', '800x575'); return false;">
 					<img src="img/icons/icon24_link_editor.gif" style="cursor: hand;" border="0">
Index: in-auction/admin_templates/products/products_ebay.tpl
===================================================================
--- in-auction/admin_templates/products/products_ebay.tpl	(revision 15607)
+++ in-auction/admin_templates/products/products_ebay.tpl	(working copy)
@@ -143,7 +143,7 @@
 
 			<inp2:m_RenderElement name="inp_edit_box" prefix="p-ebay" field="ListingTitle" title="la_fld_ListingTitle" size="70" not_null="1"/>
 			<inp2:m_RenderElement name="inp_edit_box" prefix="p-ebay" field="SubTitle" title="la_fld_SubTitle" size="70"/>
-			<inp2:m_RenderElement name="inp_edit_textarea" prefix="p-ebay" field="ListingDescription" title="la_fld_ListingDescription" cols="70" rows="10" not_null="1"/>
+			<inp2:m_RenderElement name="inp_edit_textarea" prefix="p-ebay" field="ListingDescription" title="la_fld_ListingDescription" allow_html="1" cols="70" rows="10" not_null="1"/>
 			<inp2:m_RenderElement name="inp_template_options" prefix="p-ebay" field="DetailTemplateId" title="la_fld_DetailTemplate"/>
 			<inp2:m_RenderElement name="inp_edit_options" prefix="p-ebay" field="AuctionListingDuration" title="la_fld_AuctionListingDuration"/>
 			<inp2:m_RenderElement name="inp_edit_options" prefix="p-ebay" field="StoreListingDuration" title="la_fld_StoreListingDuration"/>
@@ -179,7 +179,7 @@
 		<inp2:m_RenderElement name="subsection" title="la_section_PaymentReturnPolicy"/>
 			<inp2:m_RenderElement name="inp_edit_box" prefix="p-ebay" field="PayPalSellerEmail" title="la_fld_PayPalSellerEmail" size="70"/>
 			<inp2:m_RenderElement name="inp_edit_multioptions" prefix="p-ebay" field="PaymentMethod" title="la_fld_PaymentMethod" />
-			<inp2:m_RenderElement name="inp_edit_textarea" prefix="p-ebay" field="PaymentInstructions" title="la_fld_PaymentInstructions" cols="40" rows="5"/>
+			<inp2:m_RenderElement name="inp_edit_textarea" prefix="p-ebay" field="PaymentInstructions" title="la_fld_PaymentInstructions" allow_html="1" cols="40" rows="5"/>
 			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="p-ebay" field="HasReturnPolicy" title="la_fld_HasReturnPolicy"/>
 			<inp2:m_RenderElement name="inp_edit_options" prefix="p-ebay" field="RefundType" title="la_fld_RefundType"/>
 			<inp2:m_RenderElement name="inp_edit_options" prefix="p-ebay" field="ReturnRequestDays" title="la_fld_ReturnRequestDays"/>
Index: in-auction/install/upgrades.php
===================================================================
--- in-auction/install/upgrades.php	(revision 15607)
+++ in-auction/install/upgrades.php	(working copy)
@@ -55,6 +55,7 @@
 				'5.2.0-B2' => Array ('In-Commerce' => '5.2.0-B2'),
 				'5.2.0-B3' => Array ('In-Commerce' => '5.2.0-B3'),
 				'5.2.0' => Array ('In-Commerce' => '5.2.0'),
+				'5.2.1-B1' => Array ('In-Commerce' => '5.2.1-B1'),
 			);
 		}
 	}
Index: in-auction/install/upgrades.sql
===================================================================
--- in-auction/install/upgrades.sql	(revision 15607)
+++ in-auction/install/upgrades.sql	(working copy)
@@ -93,3 +93,5 @@
 # ===== v 5.2.0-B3 =====
 
 # ===== v 5.2.0 =====
+
+# ===== v 5.2.1-B1 =====
Index: in-bulletin/admin_templates/polls/poll_edit.tpl
===================================================================
--- in-bulletin/admin_templates/polls/poll_edit.tpl	(revision 15607)
+++ in-bulletin/admin_templates/polls/poll_edit.tpl	(working copy)
@@ -86,7 +86,7 @@
 			<inp2:m_RenderElement name="inp_label" prefix="poll" field="PollId" title="la_fld_Id"/>
 			<inp2:m_RenderElement name="inp_edit_box" prefix="poll" field="Name" title="la_fld_Name" size="50"/>
 
-			<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="poll" field="Question" title="la_fld_Question" control_options="{min_height: 100}" cols="70" rows="5"/>
+			<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="poll" field="Question" title="la_fld_Question" control_options="{min_height: 100}" allow_html="1" cols="70" rows="5"/>
 
 			<inp2:m_RenderElement name="inp_edit_swf_upload" prefix="poll" field="Image" title="la_fld_Image"/>
 
Index: in-bulletin/admin_templates/topics/topics_edit.tpl
===================================================================
--- in-bulletin/admin_templates/topics/topics_edit.tpl	(revision 15607)
+++ in-bulletin/admin_templates/topics/topics_edit.tpl	(working copy)
@@ -63,7 +63,7 @@
 			<inp2:m_RenderElement name="inp_edit_box" prefix="bb" field="TopicText" title="la_fld_Subject" size="70"/>
 
 			<inp2:m_if check="bb_FieldEquals" name="Posts" value="0">
-				<inp2:m_RenderElement name="inp_edit_textarea" prefix="bb" field="PostingText" title="la_fld_MessageBody" control_options="{min_height: 100}" cols="70" rows="8"/>
+				<inp2:m_RenderElement name="inp_edit_textarea" prefix="bb" field="PostingText" title="la_fld_MessageBody" control_options="{min_height: 100}" allow_html="1" cols="70" rows="8"/>
 			</inp2:m_if>
 
 			<inp2:m_RenderElement name="inp_edit_user" prefix="bb" field="OwnerId" title="la_fld_PostedBy" size="40"/>
Index: in-bulletin/install/upgrades.php
===================================================================
--- in-bulletin/install/upgrades.php	(revision 15607)
+++ in-bulletin/install/upgrades.php	(working copy)
@@ -61,6 +61,7 @@
 				'5.2.0-B3' => Array ('Core' => '5.2.0-B3'),
 				'5.2.0-RC1' => Array ('Core' => '5.2.0-RC1'),
 				'5.2.0' => Array ('Core' => '5.2.0'),
+				'5.2.1-B1' => Array ('Core' => '5.2.1-B1'),
 			);
 		}
 
Index: in-bulletin/install/upgrades.sql
===================================================================
--- in-bulletin/install/upgrades.sql	(revision 15607)
+++ in-bulletin/install/upgrades.sql	(working copy)
@@ -264,3 +264,5 @@
 
 # ===== v 5.2.0 =====
 INSERT INTO Permissions VALUES(DEFAULT, 'in-bulletin:configuration_output.add', 11, 1, 1, 0);
+
+# ===== v 5.2.1-B1 =====
Index: in-commerce/admin_templates/manufacturers/manufacturers_edit.tpl
===================================================================
--- in-commerce/admin_templates/manufacturers/manufacturers_edit.tpl	(revision 15607)
+++ in-commerce/admin_templates/manufacturers/manufacturers_edit.tpl	(working copy)
@@ -61,7 +61,7 @@
 			<inp2:m_RenderElement name="subsection" title="la_title_General"/>
 				<inp2:m_RenderElement name="inp_id_label" prefix="manuf" field="ManufacturerId" title="la_fld_Id"/>
 				<inp2:m_RenderElement name="inp_edit_box" prefix="manuf" field="Name" title="la_fld_Name" size="40"/>
-				<inp2:m_RenderElement name="inp_edit_textarea" prefix="manuf" field="Description" title="la_fld_Description" control_options="{min_height: 100}" cols="40" rows="5"/>
+				<inp2:m_RenderElement name="inp_edit_textarea" prefix="manuf" field="Description" title="la_fld_Description" control_options="{min_height: 100}" allow_html="1" cols="40" rows="5"/>
 				<inp2:m_RenderElement name="inp_edit_box" prefix="manuf" field="URL" title="la_fld_URL" size="40"/>
 				<inp2:m_RenderElement name="inp_edit_swf_upload" prefix="manuf" field="Logo" thumbnail="120x120" title="la_fld_Logo"/>
 				<inp2:m_RenderElement name="inp_edit_checkbox" prefix="manuf" field="IsPopular" title="la_fld_Popular"/>
Index: in-commerce/admin_templates/products/products_edit.tpl
===================================================================
--- in-commerce/admin_templates/products/products_edit.tpl	(revision 15607)
+++ in-commerce/admin_templates/products/products_edit.tpl	(working copy)
@@ -72,7 +72,7 @@
 			<inp2:m_RenderElement name="inp_edit_box_ml" prefix="p" field="Name" title="la_fld_Title" size="70"/>
 			<inp2:m_RenderElement name="inp_edit_box" prefix="p" field="SKU" title="la_fld_SKU" size="70"/>
 
-			<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="p" field="Description" title="la_fld_Description" cols="70" rows="5"/>
+			<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="p" field="Description" title="la_fld_Description" allow_html="1" cols="70" rows="5"/>
 			<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="p" field="DescriptionExcerpt" title="la_fld_DescriptionExcerpt" cols="70" rows="3"/>
 
 			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="p" field="AutomaticFilename" title="la_fld_AutomaticFilename" onchange="reflect_filename()"/>
Index: in-link/admin_templates/links/links_edit.tpl
===================================================================
--- in-link/admin_templates/links/links_edit.tpl	(revision 15607)
+++ in-link/admin_templates/links/links_edit.tpl	(working copy)
@@ -63,7 +63,7 @@
 		<inp2:m_RenderElement name="subsection" prefix="l" fields="LinkId,Name,Description,Url,ReciprocalLinkFound,CreatedById,AutomaticFilename,Filename,CustomTemplate,CategoryId" title="la_section_Link" original_title="la_section_OriginalValues" display_original="1"/>
 			<inp2:m_RenderElement name="inp_id_label" prefix="l" field="LinkId" title="la_fld_Id" display_original="1"/>
 			<inp2:m_RenderElement name="inp_edit_box_ml" prefix="l" field="Name" title="la_fld_Name" size="60" display_original="1"/>
-			<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="l" field="Description" title="la_fld_Description" cols="60" rows="5" display_original="1"/>
+			<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="l" field="Description" title="la_fld_Description" allow_html="1" cols="60" rows="5" display_original="1"/>
 			<inp2:m_RenderElement name="inp_edit_box" prefix="l" field="Url" title="la_fld_Url" size="60" display_original="1"/>
 			<inp2:m_RenderElement name="inp_label" prefix="l" field="ReciprocalLinkFound" title="la_fld_ReciprocalLinkFound"/>
 			<inp2:m_RenderElement name="inp_edit_user" prefix="l" field="CreatedById" title="la_fld_LinkOwner" size="30" display_original="1"/>
Index: in-link/admin_templates/paid_listings/paid_listing_type_edit.tpl
===================================================================
--- in-link/admin_templates/paid_listings/paid_listing_type_edit.tpl	(revision 15607)
+++ in-link/admin_templates/paid_listings/paid_listing_type_edit.tpl	(working copy)
@@ -60,7 +60,7 @@
 
 			<inp2:m_RenderElement name="inp_edit_box" prefix="lst" field="Name" title="la_fld_ListingTypeName" size="20"/>
 
-			<inp2:m_RenderElement name="inp_edit_textarea" prefix="lst" field="Description" title="la_fld_ListingTypeDescription" rows="10" cols="40"/>
+			<inp2:m_RenderElement name="inp_edit_textarea" prefix="lst" field="Description" title="la_fld_ListingTypeDescription" allow_html="1" rows="10" cols="40"/>
 
 			<inp2:m_RenderElement design="form_row" prefix="lst" field="Duration" title="la_fld_Duration">
 				<td class="control-cell">
Index: in-link/install/upgrades.php
===================================================================
--- in-link/install/upgrades.php	(revision 15607)
+++ in-link/install/upgrades.php	(working copy)
@@ -60,6 +60,7 @@
 				'5.2.0-B3' => Array ('Core' => '5.2.0-B3'),
 				'5.2.0-RC1' => Array ('Core' => '5.2.0-RC1'),
 				'5.2.0' => Array ('Core' => '5.2.0'),
+				'5.2.1-B1' => Array ('Core' => '5.2.1-B1'),
 			);
 		}
 
Index: in-link/install/upgrades.sql
===================================================================
--- in-link/install/upgrades.sql	(revision 15607)
+++ in-link/install/upgrades.sql	(working copy)
@@ -194,3 +194,5 @@
 
 # ===== v 5.2.0 =====
 INSERT INTO Permissions VALUES(DEFAULT, 'in-link:configuration_output.add', 11, 1, 1, 0);
+
+# ===== v 5.2.1-B1 =====
Index: in-news/admin_templates/articles/articles_edit.tpl
===================================================================
--- in-news/admin_templates/articles/articles_edit.tpl	(revision 15607)
+++ in-news/admin_templates/articles/articles_edit.tpl	(working copy)
@@ -65,7 +65,7 @@
 			<inp2:m_RenderElement name="inp_edit_box" prefix="n" field="Title" title="la_fld_Title" size="70" display_original="1"/>
 			<inp2:m_RenderElement name="inp_edit_user" prefix="n" field="CreatedById" title="la_fld_Author" size="25" display_original="1"/>
 
-			<inp2:m_RenderElement name="inp_edit_textarea" prefix="n" field="Body" title="la_fld_Body" control_options="{min_height: 100}" cols="70" rows="8" display_original="1"/>
+			<inp2:m_RenderElement name="inp_edit_textarea" prefix="n" field="Body" title="la_fld_Body" control_options="{min_height: 100}" allow_html="1" cols="70" rows="8" display_original="1"/>
 
 			<!-- excerpt: begin -->
 			<inp2:m_RenderElement design="form_row" prefix="n" field="Excerpt" title="la_fld_Excerpt">
